(function() {
  var ABBrowserComm, assert, comm, e, window;
  assert = require('assert');
  window = global.window = global;
  ABBrowserComm = require('./appborg_browser').ABBrowserComm;
  comm = new ABBrowserComm;
  comm.on('auto-response', function(info) {
    return console.log('on:foo');
  });
  comm.on('manual-response-ok', function(info, callback) {
    return callback(null, {
      oh: 'hai'
    });
  });
  comm.on('manual-response-err', function(info, callback) {
    return callback({
      oh: 'noes'
    });
  });
  e = JSON.parse(window.appborg.pushAndPullEvents([
    {
      method: "auto-response",
      id: "100",
      info: {},
      from: "native",
      to: "js"
    }
  ]))[0];
  assert.equal(e.id, 100);
  assert.ok(e.result);
  e = JSON.parse(window.appborg.pushAndPullEvents([
    {
      method: "manual-response-ok",
      id: "101",
      info: {},
      from: "native",
      to: "js"
    }
  ]))[0];
  assert.equal(e.id, 101);
  assert.ok(e.result);
  assert.equal(e.result.oh, 'hai');
  e = JSON.parse(window.appborg.pushAndPullEvents([
    {
      method: "manual-response-err",
      id: "102",
      info: {},
      from: "native",
      to: "js"
    }
  ]))[0];
  assert.equal(e.id, 102);
  assert.ok(e.error);
  assert.equal(e.error.oh, 'noes');
  console.log('OK');
}).call(this);
